Package org.apache.calcite.avatica.proto

## Interface Responses.RpcMetadataOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.RpcMetadata`, `Responses.RpcMetadata.Builder`

Enclosing class:
  Responses

    public static interface Responses.RpcMetadataOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getServerAddress()` The host:port of the server
`com.google.protobuf.ByteString` `getServerAddressBytes()` The host:port of the server

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getServerAddress

    java.lang.String getServerAddress()

     The host:port of the server

`string server_address = 1;`

#### getServerAddressBytes

    com.google.protobuf.ByteString getServerAddressBytes()

     The host:port of the server

`string server_address = 1;`